/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog;

import java.io.File;

import com.beust.jcommander.IStringConverter;
import com.beust.jcommander.Parameter;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public class Args {

  @Parameter(names = { "-template" }, converter = FileConverter.class)
  File template = new File("src/main/resources/templates/post.html");

  @Parameter(names = { "-posts" }, converter = FileConverter.class)
  File posts = new File("src/main/resources/posts");

  @Parameter(names = { "-target" }, converter = FileConverter.class)
  File target = new File("src/main/webapp");

  Args() {
  }

  public Args(File template, File posts, File target) {
    this.template = template;
    this.posts = posts;
    this.target = target;
  }

  public File getTemplate() {
    return template;
  }

  public File getPosts() {
    return posts;
  }

  public File getTarget() {
    return target;
  }

  public static class FileConverter implements IStringConverter<File> {
    @Override
    public File convert(String value) {
      return new File(value);
    }
  }

}