/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog;

import com.google.inject.Guice;
import com.google.inject.Injector;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public class Blog {

  public static void main(String[] _args) {
    try {

      Args args = new ArgsParser(_args).parseAndValidate();
      Injector injector = Guice.createInjector(new BlogModule());

      BlogEngine engine = injector.getInstance(BlogEngine.class);
      engine.make(args);

    } catch (ArgsException e) {

      System.err.println("Uh-oh, error while parsing your arguments:\n");
      System.err.println(e.getMessage());
      System.err
          .println("Don't give up! Fix the errors above and try again! You can do it!");

    } catch (BlogException e) {

      System.err.println("Uh-oh, error while processing your blog:\n");
      System.err.println(e.getMessage());
      System.err
          .println("Don't give up! Fix the errors above and try again! You can do it!");

    }
  }

}