/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog;

import org.joda.time.DateTime;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;

import com.google.common.base.Supplier;
import com.google.common.collect.Multimap;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public interface PostTemplate {

  interface Builder extends Supplier<PostTemplate> {

    Document getDoc();

    Multimap<PostTag, Element> getTags();

  }

  void setPostId(String postId);
  void setTitle(String title);
  void setAuthor(String author);
  void setDate(DateTime date);
  void setContents(String contents);

}