/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog.syntax;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
class MetaKeyValue<T> {

  private final MetaType<T> key;

  private final T value;

  public MetaKeyValue(MetaType<T> key, T value) {
    this.key = key;
    this.value = value;
  }

  public MetaType<T> getKey() {
    return key;
  }

  public T getValue() {
    return value;
  }

  @Override
  public String toString() {
    return String.format("%s=%s", key, value);
  }

}