/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog.syntax;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
class Parser {

  private final Pattern pattern;

  private final String replacement;

  public Parser(String regex, String replacement) {
    this.pattern = Pattern.compile(regex);
    this.replacement = replacement;
  }

  public String parse(String text) {
    Matcher m = pattern.matcher(text);

    StringBuffer sb = new StringBuffer();
    while (m.find()) {
      String group = m.group(1);
      m.appendReplacement(sb, String.format(replacement, group));
    }
    m.appendTail(sb);

    return sb.toString();
  }

}