/*

 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.core;

import org.joda.time.DateTime;

import br.com.objectos.comuns.relational.jdbc.Insertable;
import br.com.objectos.wiki.core.auth.User;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public interface Web extends Insertable {

  interface Builder extends br.com.objectos.comuns.base.Builder<Web> {

    String getCode();

    String getDescription();

    User getUser();

    DateTime getCreationTime();
    DateTime getLastUpdate();

  }

  WebKey getKey();

  int getId();

  String getCode();

  String getDescription();

  User getUser();

  DateTime getCreationTime();
  DateTime getLastUpdate();

}