/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.core;

import com.google.common.base.Objects;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public class WebKey {

  private final int id;

  public WebKey(int id) {
    this.id = id;
  }

  public WebKey(Web web) {
    this.id = web.getId();
  }

  public int getId() {
    return id;
  }

  @Override
  public final int hashCode() {
    return Objects.hashCode(id);
  }

  @Override
  public final boolean equals(final Object obj) {
    if (obj == this) {
      return true;
    }
    if (obj == null) {
      return false;
    }
    if (obj instanceof WebKey) {
      final WebKey that = (WebKey) obj;
      return Objects.equal(this.id, that.id);
    } else {
      return false;
    }
  }

}