/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.ui;

import br.com.objectos.comuns.sitebricks.AbstractModuleUI;
import br.com.objectos.comuns.sitebricks.StageUI;
import br.com.objectos.way.view.DevelopmentMustaches;
import br.com.objectos.way.view.DevelopmentViews;
import br.com.objectos.way.view.Mustaches;
import br.com.objectos.way.view.Pages;
import br.com.objectos.way.view.Views;
import br.com.objectos.wiki.ui.page.IndexPage;

import com.caucho.quercus.servlet.QuercusServlet;
import com.google.inject.Scopes;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
class WikiModuleUI extends AbstractModuleUI {

  public WikiModuleUI(StageUI stage) {
    super(stage);
  }

  @Override
  protected void bindCommon() {
    bind(QuercusServlet.class).in(Scopes.SINGLETON);

    if (isStageDevelopment()) {
      bind(Mustaches.class).to(DevelopmentMustaches.class);
      bind(Views.class).to(DevelopmentViews.class);
    }

    install(Pages.atPackage("br.com.objectos.wiki.ui.page"));
    install(Views.atPackage("br.com.objectos.wiki.ui.view"));
  }

  @Override
  protected void bindApi() {
  }

  @Override
  protected void bindBricks() {
    if (isStageProduction()) {
    }
  }

  @Override
  protected void bindPages() {
    at("/").serve(IndexPage.class);
  }

  @Override
  protected void preFilters(ExtendedServletModule m) {
  }

  @Override
  protected void customServlets(ExtendedServletModule m) {
    m.customServe("*.php").with(QuercusServlet.class);
  }

}