/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.ui.page;

import br.com.objectos.comuns.sitebricks.AbstractPageMeta;
import br.com.objectos.way.view.Context;
import br.com.objectos.wiki.ui.WikiWay;

import com.google.inject.Inject;
import com.google.sitebricks.headless.Reply;
import com.google.sitebricks.http.Get;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
public class IndexPage {

  private final WikiWay way;

  @Inject
  public IndexPage(WikiWay way) {
    this.way = way;
  }

  @Get
  public Reply<?> get() {
    return way.pages().get(getClass(), context());
  }

  private Context context() {
    Context c = Context.of();

    return c;
  }

  public static class Meta extends AbstractPageMeta {
    @Override
    protected void pageMetaFor() {
      display("Início").onClick("");
    }
  }

}