/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog;

import java.io.File;
import java.net.URISyntaxException;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

import com.google.inject.Guice;
import com.google.inject.Injector;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
@Test
public class BlogEngineTest {

  private Injector injector;

  @BeforeClass
  public void prepareInjector() {
    injector = Guice.createInjector(new BlogModule());
  }

  public void engineShouldCorrectlyProcessOurTestPosts()
      throws URISyntaxException, BlogException {

    File posts = new File("src/test/resources/src/main/resources/posts");
    File template = new File(
        "src/test/resources/src/main/resources/templates/post.html");
    File target = new File("target/blog");

    Args args = new Args(template, posts, target);
    BlogEngine engine = injector.getInstance(BlogEngine.class);
    engine.make(args);

  }

}