/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog.syntax;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertFalse;
import static org.testng.Assert.assertTrue;

import org.testng.annotations.Test;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
@Test
public class ParagraphTest {

  public void simpleTextShouldBeDecorated() {
    Paragraph p = p("abc _italic_");
    assertEquals(p.toString(), "<p>\nabc <em>italic</em>\n</p>");
  }

  public void multipleParagraphsShouldBeMerged() {
    Paragraph p1 = p("1");
    Paragraph p2 = p("2");
    Paragraph p3 = p("3");
    ParagraphBreak br = new ParagraphBreak("");

    assertTrue(p1.merge(p2));
    assertTrue(p1.merge(p3));
    assertFalse(p1.merge(br));

    String result = p1.toString();

    assertEquals(result.replaceAll("\\s", ""), "<p>123</p>");
  }

  private Paragraph p(String text) {
    return new Paragraph(text);
  }

}