/*
 * Copyright 2011 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.blog.syntax;

import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertFalse;
import static org.testng.Assert.assertTrue;

import org.testng.annotations.Test;

/**
 * @author marcio.endo@objectos.com.br (Marcio Endo)
 */
@Test
public class SeparatorTest {

  public void separatorShouldMatchThreeDashes() {
    Separator hr = hr("---");

    assertTrue(hr.matches());
    assertEquals(hr.toString(), "<hr />");
  }

  public void separatorShouldMatchThreeOrMoreDashes() {
    Separator hr = hr("-----");

    assertTrue(hr.matches());
    assertEquals(hr.toString(), "<hr />");
  }

  public void shouldntConfuseWithHeading() {
    Separator hr = hr("---++");

    assertFalse(hr.matches());
  }

  private Separator hr(String text) {
    return new Separator(text);
  }

}