/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.auth;

import java.util.List;

import org.joda.time.DateTime;

import br.com.objectos.comuns.testing.jdbc.EntitySet;
import br.com.objectos.comuns.testing.jdbc.SqlUnit;
import br.com.objectos.comuns.testing.jdbc.Truncate;
import br.com.objectos.wiki.core.auth.User;

import com.google.common.collect.ImmutableList;

/**
 * @author edenir.anschau@objectos.com.br (Edenir Norberto Anschau)
 */
public class FakeUsers implements EntitySet {

  public static User USER_1 = newInstance()
      .login("user1")
      .password("senhatest1")
      .creationTime(new DateTime())
      .lastUpdate(new DateTime())
      .build();
  public static User USER_2 = newInstance()
      .login("user2")
      .password("senhatest2")
      .creationTime(new DateTime())
      .lastUpdate(new DateTime())
      .build();
  public static User USER_3 = newInstance()
      .login("user3")
      .password("senhatest3")
      .creationTime(new DateTime())
      .lastUpdate(new DateTime())
      .build();

  private static final List<User> all = ImmutableList.<User> builder()
      .add(USER_1)
      .add(USER_2)
      .add(USER_3)
      .build();

  public static final List<User> getAll() {
    return all;
  }

  @Override
  public void truncate(Truncate truncate) {
    truncate.table("OBJ_WIKI.USER");
  }

  @Override
  public void load(SqlUnit sqlUnit) {
    sqlUnit.batchInsert(all);
  }

  private static FakeUserBuilder newInstance() {
    return new FakeUserBuilder();
  }

}