/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.mail;

import br.com.objectos.wiki.core.auth.User;
import br.com.objectos.wiki.core.mail.Email;
import br.com.objectos.wiki.core.mail.EmailJdbc;

/**
 * @author edenir.anschau@objectos.com.br (Edenir Norberto Anschau)
 */
public class FakeEmailBuider implements Email.Builder {

  private User user;
  private String address;

  @Override
  public Email build() {
    return new EmailJdbc(this);
  }

  public FakeEmailBuider user(User user) {
    this.user = user;
    return this;
  }

  public FakeEmailBuider emailAddress(String emailAdress) {
    this.address = emailAdress;
    return this;
  }

  @Override
  public User getUser() {
    return user;
  }

  @Override
  public String getAddress() {
    return address;
  }

}