/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.page;

import br.com.objectos.wiki.core.Web;
import br.com.objectos.wiki.core.page.WikiPage;
import br.com.objectos.wiki.core.page.WikiPageJdbc;

/**
 * @author edenir.anschau@objectos.com.br (Edenir Norberto Anschau)
 */
public class FakeWikiPageBuilder implements WikiPage.Builder {

  private Web web;
  private String wikiWord;

  @Override
  public WikiPage build() {
    return new WikiPageJdbc(this);
  }

  public FakeWikiPageBuilder web(Web web) {
    this.web = web;
    return this;
  }

  public FakeWikiPageBuilder wikiWord(String wikiWord) {
    this.wikiWord = wikiWord;
    return this;
  }

  @Override
  public Web getWeb() {
    return web;
  }

  @Override
  public String getWikiWord() {
    return wikiWord;
  }

}