/*
 * Copyright 2013 Objectos, Fábrica de Software LTDA.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package br.com.objectos.wiki.page;

import org.joda.time.DateTime;

import br.com.objectos.wiki.core.auth.User;
import br.com.objectos.wiki.core.page.WikiPage;
import br.com.objectos.wiki.core.page.WikiRevision;
import br.com.objectos.wiki.core.page.WikiRevisionJdbc;

/**
 * @author edenir.anschau@objectos.com.br (Edenir Norberto Anschau)
 */
public class FakeWikiRevisionBulder implements WikiRevision.Builder {

  private WikiPage page;
  private String contents;
  private User user;
  private DateTime dateTime;

  @Override
  public WikiRevision build() {
    return new WikiRevisionJdbc(this);
  }

  public FakeWikiRevisionBulder page(WikiPage page) {
    this.page = page;
    return this;
  }

  public FakeWikiRevisionBulder contents(String contents) {
    this.contents = contents;
    return this;
  }

  public FakeWikiRevisionBulder user(User user) {
    this.user = user;
    return this;
  }

  public FakeWikiRevisionBulder dateTime(DateTime dateTime) {
    this.dateTime = dateTime;
    return this;
  }

  @Override
  public WikiPage getPage() {
    return page;
  }

  @Override
  public String getContents() {
    return contents;
  }

  @Override
  public User getUser() {
    return user;
  }

  @Override
  public DateTime getDateTime() {
    return dateTime;
  }

}